getItemSerialSequences
READGet item serial sequences.
POST /api/v1/settings/getItemSerialSequences
curl -X POST '<your-host>/api/v1/settings/getItemSerialSequences' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"id": "string",
"itemId": "string",
"itemName": "string",
"itemReadableId": "string",
"itemTrackingType": "Inventory",
"next": 0,
"prefix": "string",
"size": 0,
"step": 0,
"suffix": "string",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}